    scalar averageStartTime=(runTime.startTime().value()+runTime.endTime().value())/2;

    if (runTime.timeOutputValue() >= averageStartTime)
    {
        nAveragingSteps++;

        scalar nm1Coeff = scalar(nAveragingSteps - 1)/nAveragingSteps;
        scalar nCoeff = 1.0/nAveragingSteps;

        UMean = nm1Coeff*UMean + nCoeff*U;
        pMean = nm1Coeff*pMean + nCoeff*p;
        epsilonMean = nm1Coeff*epsilonMean + nCoeff*turbulence->epsilon();
        kMean = nm1Coeff*kMean + nCoeff*turbulence->k();
    }
